## Produces a PIS YAML file in the OwlBoard/data format
## and pushes it to a new branch for review

def create_new_pis_file(input):
    file_content = "# File produced by DGP2\n\nFor Review before merging\nXXXX\n\n"
    for train in input:
        file_content += f"""\n
pis:
  - code: {train.get('diagram_pis_code', 'N/A')}
    # diagramDate: {train.get('diagram_date', 'N/A')}
    # diagramHeadcode: {train.get('train_headcode', 'N/A')}
    # diagram_time1: {train.get('diagram_time1', 'N/A')}
    # diagram_time2: {train.get('diagram_time2', 'N/A')}
"""
        for entry in train.get('timetable_entries', []):
            file_content += f"""
    stops: [{",".join(stop.lower() for stop in entry.get('stops', []))}]
  # stpIndicator: {entry.get('stpIndicator', 'N/A')}
  # trainUid: {entry.get('trainUid', 'N/A')}
  # scheduleStart: {entry.get('scheduleStart', 'N/A')}
  # scheduleEnd: {entry.get('scheduleEnd', 'N/A')}
  # daysRun: {",".join(day.upper() for day in entry.get('daysRun', []))}
  # trainStartTime: {entry.get('trainStartTime', 'N/A')}
"""
    return file_content

